import { createSlice } from "@reduxjs/toolkit";

const addSaleModalSlice = createSlice({
  name: "addSaleModal",
  initialState: {
    visibility: false,
  },
  reducers: {
    openSaleModal(state, action) {
      state.visibility = true;
    },
    closeSaleModal(state, action) {
      state.visibility = false;
    },
  },
});

// Export actions
export const { openSaleModal, closeSaleModal } = addSaleModalSlice.actions;

// Export reducer
export default addSaleModalSlice.reducer;
